Name: gnext
Version: 0.01
Release: 1
Summary: Calculates next Perl Mongers meeting
License: Artistic
Group: Applications/File
URL: http://some-ip.org

Packager: Dave M

Source: http://some-ip.org/gnext/gnext-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: desktop-file-utils
Requires: perl-Gtk2 >= 1.102, perl-Gnome2
Requires: perl-Date-Calc

%description
g-anon provides an easy frontend to managing tor and privoxy.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -D -m0755 gnext %{buildroot}%{_bindir}/gnext
%{__install} -D -m0644 pm.png %{buildroot}%{_datadir}/pixmaps/pm.png

desktop-file-install --delete-original 				\
	--vendor misc						\
        --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
	--add-category X-Fedora					\
        gnext.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q || :

%postun
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database -q || :

%files
%doc nextmtg.pl
%defattr(-, root, root, -)
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Sun Apr 30 2006 Dave M. <dave.nerd@gmail.com> - 0.01-1
- Initial release.
