#!/usr/bin/perl 

# Determine what the next 3rd Thursday of the month will be.
# Date::Calc rules!
# jay(at)jays(dot)net - Omaha Perl Mongers - http://omaha.pm.org

use Date::Calc qw( 
   Today Date_to_Days Add_Delta_YM
   Add_Delta_Days Nth_Weekday_of_Month_Year 
   Date_to_Text_Long
);

($year,$month,$day) = Today();
($year,$month,$day) = (2006, 5, 1);   # Manual hack - no Apr mtg

$today = Date_to_Days($year,$month,$day);

$dow = 2; # Tuesday
$n   = 2; # 3rd Thr, that is

$meeting_this_month = Date_to_Days(
    Nth_Weekday_of_Month_Year($year,$month,$dow,$n) 
);

($year,$month,$day) = Add_Delta_YM($year,$month,$day, 0,1);

$meeting_next_month = Date_to_Days(
    Nth_Weekday_of_Month_Year($year,$month,$dow,$n) 
);

my @meeting_date;
if ($today <= $meeting_this_month) {
   @meeting_date = Add_Delta_Days(1,1,1, $meeting_this_month - 1);
} else {
   @meeting_date = Add_Delta_Days(1,1,1, $meeting_next_month - 1);
}

# HACK - Manual override of next meeting since 3rd Thr is no good for me
#@meeting_date = (2006, 1, 17);

print <<EOT;
Content-type: text

EOT
print Date_to_Text_Long(@meeting_date);


